#ifndef morpheo_tools_viewer_bdd_baseV_h
#define morpheo_tools_viewer_bdd_baseV_h

#include <iostream>
#include <list>
#include <iterator>
#include <qlist.h>


#include "Tools/Viewer/Bdd/include/BaseP.h"
#include "Tools/Viewer/Bdd/include/Signal.h"
using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     

  class BaseV
    {
    private:
      string comment;
      QList<BaseP> *pos;
      QList<string> *listcomp;
      //QList<Param> *param; 

    protected:
    public:
      //accesseurs
      morpheo::tools::viewer::bdd::BaseP  get_BasePos(string v);
      morpheo::tools::viewer::bdd::Signal *getSignal(string c,PortMap *dest);
      QList<morpheo::tools::viewer::bdd::BaseP>  *getBaseP();
      //morpheo::tools::viewer::bdd::Param get_Param(string v);
      //constructeurs
      BaseV();
      ~BaseV ();

      void setComment(string s);
      void addBaseP(morpheo::tools::viewer::bdd::BaseP *p,string t);
      //void addParam(morpheo::tools::viewer::bdd::Param *p);
      void afficheBaseConsole();
    };//end class BaseV

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
